VOD Global Settingsupdate zone vod useragent setting

update zone vod useragent setting

update zone vod useragent setting

curl -X POST "https://api.5centscdn.com/v2/zones/vod/settings/security/useragent" \
  -H "Content-Type: application/json" \
  -H "X-API-Key: YOUR_API_KEY" \
  -d '{
  "enabled": "Y",
  "policy": "Y",
  "list": "Mozilla,Googlebot",
  "ips": "1.2.3.4",
  "casesensitive": "N",
  "listArr": [
    "Mozilla",
    "Googlebot"
  ],
  "mode": "save"
}'
{
  "result": "success",
  "message": "Zone Settings Updated"
}
POST
/zones/vod/settings/security/useragent
POST
Base URLstring

Target server for requests. Edit to use your own host.

API Key (header: X-API-Key)
X-API-Keystring
Required

API key (sent in header)

Content-Typestring
Required

The media type of the request body

Options: application/json
enabledstring

Enable or disable this feature. Y means enabled, N means disabled.

Options: Y, N
policystring

Y = Block listed user agents, N = Allow listed user agents

Options: Y, N
liststring

Comma-separated user agent strings.

ipsstring

Comma-separated IPs excluded from user agent check.

casesensitivestring

Whether matching is case-sensitive. Y means enabled, N means disabled.

Options: Y, N
listArrarray

Optional mirror of list as array.

modestring

Controls how the settings are applied to zones. save — only saves the settings, no changes will be made to existing zone settings. append — appends the values to existing zones data and updates. overwrite — overwrites the existing zones values, replacing them and updates.

Options: save, append, overwrite
Request Preview
Response

Response will appear here after sending the request

Authentication

header
X-API-Keystring
Required

API Key for authentication. Provide your API key in the header.

Body

application/json
enabledstring

Enable or disable this feature. Y means enabled, N means disabled.

Allowed values:YN
policystring

Y = Block listed user agents, N = Allow listed user agents

Allowed values:YN
liststring

Comma-separated user agent strings.

Example:
Mozilla,Googlebot
ipsstring

Comma-separated IPs excluded from user agent check.

Example:
1.2.3.4
casesensitivestring

Whether matching is case-sensitive. Y means enabled, N means disabled.

Allowed values:YN
listArrarray

Optional mirror of list as array.

Example:
["Mozilla","Googlebot"]
modestring

Controls how the settings are applied to zones. save — only saves the settings, no changes will be made to existing zone settings. append — appends the values to existing zones data and updates. overwrite — overwrites the existing zones values, replacing them and updates.

Allowed values:saveappendoverwrite

Responses

resultstring

Status of the API response.

messagestring

Human-readable status or result message